<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:b6be4828-238b-4c3e-a068-d5198860989a,g:20f99d44-f794-4fa8-a537-c773ba888f88-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_chrd_IncreaseDeductionBasedOnASC718FairValueOfAwardsGrantedDuringApplicableFYThatRemainUnvestedAsOfApplicableFYEndDeterminedAsOfApplicableFYEndMember_label_en-US" xlink:label="lab_chrd_IncreaseDeductionBasedOnASC718FairValueOfAwardsGrantedDuringApplicableFYThatRemainUnvestedAsOfApplicableFYEndDeterminedAsOfApplicableFYEndMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Increase (Deduction) Based On ASC 718 Fair Value Of Awards Granted During Applicable FY That Remain Unvested As Of Applicable FY End, Determined As Of Applicable FY End [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_chrd_IncreaseDeductionBasedOnASC718FairValueOfAwardsGrantedDuringApplicableFYThatRemainUnvestedAsOfApplicableFYEndDeterminedAsOfApplicableFYEndMember" xlink:href="chrd-20240319.xsd#chrd_IncreaseDeductionBasedOnASC718FairValueOfAwardsGrantedDuringApplicableFYThatRemainUnvestedAsOfApplicableFYEndDeterminedAsOfApplicableFYEndMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_chrd_IncreaseDeductionBasedOnASC718FairValueOfAwardsGrantedDuringApplicableFYThatRemainUnvestedAsOfApplicableFYEndDeterminedAsOfApplicableFYEndMember" xlink:to="lab_chrd_IncreaseDeductionBasedOnASC718FairValueOfAwardsGrantedDuringApplicableFYThatRemainUnvestedAsOfApplicableFYEndDeterminedAsOfApplicableFYEndMember" xlink:type="arc" order="1"/>
    <link:label id="lab_chrd_AdjustmentBasedOnASC718FairValueOfAwardsGrantedDuringPriorFYOutstandingAndUnvestedAsOfApplicableFYEndBasedOnChangeInASC718ValueFromPriorFYEndToApplicableFYEndMember_label_en-US" xlink:label="lab_chrd_AdjustmentBasedOnASC718FairValueOfAwardsGrantedDuringPriorFYOutstandingAndUnvestedAsOfApplicableFYEndBasedOnChangeInASC718ValueFromPriorFYEndToApplicableFYEndMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Adjustment Based On ASC 718 Fair Value Of Awards Granted During Prior FY Outstanding And Unvested As Of Applicable FY End, Based On Change In ASC 718 Value From Prior FY End To Applicable FY End [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_chrd_AdjustmentBasedOnASC718FairValueOfAwardsGrantedDuringPriorFYOutstandingAndUnvestedAsOfApplicableFYEndBasedOnChangeInASC718ValueFromPriorFYEndToApplicableFYEndMember" xlink:href="chrd-20240319.xsd#chrd_AdjustmentBasedOnASC718FairValueOfAwardsGrantedDuringPriorFYOutstandingAndUnvestedAsOfApplicableFYEndBasedOnChangeInASC718ValueFromPriorFYEndToApplicableFYEndMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_chrd_AdjustmentBasedOnASC718FairValueOfAwardsGrantedDuringPriorFYOutstandingAndUnvestedAsOfApplicableFYEndBasedOnChangeInASC718ValueFromPriorFYEndToApplicableFYEndMember" xlink:to="lab_chrd_AdjustmentBasedOnASC718FairValueOfAwardsGrantedDuringPriorFYOutstandingAndUnvestedAsOfApplicableFYEndBasedOnChangeInASC718ValueFromPriorFYEndToApplicableFYEndMember" xlink:type="arc" order="1"/>
    <link:label id="lab_chrd_BrownMember_label_en-US" xlink:label="lab_chrd_BrownMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Brown [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_chrd_BrownMember" xlink:href="chrd-20240319.xsd#chrd_BrownMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_chrd_BrownMember" xlink:to="lab_chrd_BrownMember" xlink:type="arc" order="1"/>
    <link:label id="lab_chrd_IncreaseDeductionForAwardsGrantedDuringPriorFYThatVestedDuringApplicableFYDeterminedBasedOnChangeInASC718FairValueFromPriorFYEndToVestingDateMember_label_en-US" xlink:label="lab_chrd_IncreaseDeductionForAwardsGrantedDuringPriorFYThatVestedDuringApplicableFYDeterminedBasedOnChangeInASC718FairValueFromPriorFYEndToVestingDateMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Increase (Deduction) For Awards Granted During Prior FY That Vested During Applicable FY, Determined Based On Change In ASC 718 Fair Value From Prior FY End To Vesting Date [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_chrd_IncreaseDeductionForAwardsGrantedDuringPriorFYThatVestedDuringApplicableFYDeterminedBasedOnChangeInASC718FairValueFromPriorFYEndToVestingDateMember" xlink:href="chrd-20240319.xsd#chrd_IncreaseDeductionForAwardsGrantedDuringPriorFYThatVestedDuringApplicableFYDeterminedBasedOnChangeInASC718FairValueFromPriorFYEndToVestingDateMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_chrd_IncreaseDeductionForAwardsGrantedDuringPriorFYThatVestedDuringApplicableFYDeterminedBasedOnChangeInASC718FairValueFromPriorFYEndToVestingDateMember" xlink:to="lab_chrd_IncreaseDeductionForAwardsGrantedDuringPriorFYThatVestedDuringApplicableFYDeterminedBasedOnChangeInASC718FairValueFromPriorFYEndToVestingDateMember" xlink:type="arc" order="1"/>
    <link:label id="lab_chrd_BrooksMember_label_en-US" xlink:label="lab_chrd_BrooksMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Brooks [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_chrd_BrooksMember" xlink:href="chrd-20240319.xsd#chrd_BrooksMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_chrd_BrooksMember" xlink:to="lab_chrd_BrooksMember" xlink:type="arc" order="1"/>
    <link:label id="lab_chrd_EquityAwardsThatFailedToMeetVestingConditionsMember_label_en-US" xlink:label="lab_chrd_EquityAwardsThatFailedToMeetVestingConditionsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Equity Awards that Failed to Meet Vesting Conditions [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_chrd_EquityAwardsThatFailedToMeetVestingConditionsMember" xlink:href="chrd-20240319.xsd#chrd_EquityAwardsThatFailedToMeetVestingConditionsMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_chrd_EquityAwardsThatFailedToMeetVestingConditionsMember" xlink:to="lab_chrd_EquityAwardsThatFailedToMeetVestingConditionsMember" xlink:type="arc" order="1"/>
    <link:label id="lab_chrd_AdjustmentDeductionForAmountsReportedUnderStockAwardsColumnInSummaryCompensationTableMember_label_en-US" xlink:label="lab_chrd_AdjustmentDeductionForAmountsReportedUnderStockAwardsColumnInSummaryCompensationTableMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Adjustment, Deduction For Amounts Reported Under "Stock Awards" Column In Summary Compensation Table [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_chrd_AdjustmentDeductionForAmountsReportedUnderStockAwardsColumnInSummaryCompensationTableMember" xlink:href="chrd-20240319.xsd#chrd_AdjustmentDeductionForAmountsReportedUnderStockAwardsColumnInSummaryCompensationTableMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_chrd_AdjustmentDeductionForAmountsReportedUnderStockAwardsColumnInSummaryCompensationTableMember" xlink:to="lab_chrd_AdjustmentDeductionForAmountsReportedUnderStockAwardsColumnInSummaryCompensationTableMember" xlink:type="arc" order="1"/>
    <link:label id="lab_chrd_EquityAwardsValueOfDividendsAndOtherEarningsPaidAdjustmentMember_label_en-US" xlink:label="lab_chrd_EquityAwardsValueOfDividendsAndOtherEarningsPaidAdjustmentMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Equity Awards, Value of Dividends and Other Earnings Paid Adjustment [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_chrd_EquityAwardsValueOfDividendsAndOtherEarningsPaidAdjustmentMember" xlink:href="chrd-20240319.xsd#chrd_EquityAwardsValueOfDividendsAndOtherEarningsPaidAdjustmentMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_chrd_EquityAwardsValueOfDividendsAndOtherEarningsPaidAdjustmentMember" xlink:to="lab_chrd_EquityAwardsValueOfDividendsAndOtherEarningsPaidAdjustmentMember" xlink:type="arc" order="1"/>
    <link:label id="lab_chrd_NuszMember_label_en-US" xlink:label="lab_chrd_NuszMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Nusz [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_chrd_NuszMember" xlink:href="chrd-20240319.xsd#chrd_NuszMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_chrd_NuszMember" xlink:to="lab_chrd_NuszMember" xlink:type="arc" order="1"/>
    <link:label id="lab_chrd_EquityAwardsReportedValueMember_label_en-US" xlink:label="lab_chrd_EquityAwardsReportedValueMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Equity Awards Reported Value [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_chrd_EquityAwardsReportedValueMember" xlink:href="chrd-20240319.xsd#chrd_EquityAwardsReportedValueMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_chrd_EquityAwardsReportedValueMember" xlink:to="lab_chrd_EquityAwardsReportedValueMember" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
